/* symbolvisitor.c generated by valac 0.56.14, the Vala compiler
 * generated from symbolvisitor.vala, do not modify */

/* symbolvisitor.vala
 *
 * Copyright 2020 Princeton Ferro <princetonferro@gmail.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#if !defined VALA_STRICT_C && defined __GNUC__ && __GNUC__ >= 14
#pragma GCC diagnostic warning "-Wimplicit-function-declaration"
#pragma GCC diagnostic warning "-Wincompatible-pointer-types"
#pragma GCC diagnostic warning "-Wint-conversion"
#pragma GCC diagnostic warning "-Wreturn-mismatch"
#endif

#include <vala.h>
#include <glib-object.h>
#include <gee.h>
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <valagee.h>

#if !defined(VALA_EXTERN)
#if defined(_MSC_VER)
#define VALA_EXTERN __declspec(dllexport) extern
#elif __GNUC__ >= 4
#define VALA_EXTERN __attribute__((visibility("default"))) extern
#else
#define VALA_EXTERN extern
#endif
#endif

#define VLS_TYPE_SYMBOL_VISITOR (vls_symbol_visitor_get_type ())
#define VLS_SYMBOL_VISITOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), VLS_TYPE_SYMBOL_VISITOR, VlsSymbolVisitor))
#define VLS_SYMBOL_VISITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), VLS_TYPE_SYMBOL_VISITOR, VlsSymbolVisitorClass))
#define VLS_IS_SYMBOL_VISITOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), VLS_TYPE_SYMBOL_VISITOR))
#define VLS_IS_SYMBOL_VISITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), VLS_TYPE_SYMBOL_VISITOR))
#define VLS_SYMBOL_VISITOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), VLS_TYPE_SYMBOL_VISITOR, VlsSymbolVisitorClass))

typedef struct _VlsSymbolVisitor VlsSymbolVisitor;
typedef struct _VlsSymbolVisitorClass VlsSymbolVisitorClass;
typedef struct _VlsSymbolVisitorPrivate VlsSymbolVisitorPrivate;
typedef void (*VlsSymbolVisitorFunc) (ValaCodeNode* code_node, gpointer user_data);
#define _vala_source_file_unref0(var) ((var == NULL) ? NULL : (var = (vala_source_file_unref (var), NULL)))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _vala_source_reference_unref0(var) ((var == NULL) ? NULL : (var = (vala_source_reference_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _vala_code_node_unref0(var) ((var == NULL) ? NULL : (var = (vala_code_node_unref (var), NULL)))

struct _VlsSymbolVisitor {
	ValaCodeVisitor parent_instance;
	VlsSymbolVisitorPrivate * priv;
};

struct _VlsSymbolVisitorClass {
	ValaCodeVisitorClass parent_class;
};

struct _VlsSymbolVisitorPrivate {
	ValaSourceFile* file;
	GeeHashSet* seen;
	gboolean include_declaration;
	VlsSymbolVisitorFunc func;
	gpointer func_target;
	GDestroyNotify func_target_destroy_notify;
};

static gint VlsSymbolVisitor_private_offset;
static gpointer vls_symbol_visitor_parent_class = NULL;

VALA_EXTERN GType vls_symbol_visitor_get_type (void) G_GNUC_CONST ;
G_DEFINE_AUTOPTR_CLEANUP_FUNC (VlsSymbolVisitor, vala_code_visitor_unref)
VALA_EXTERN VlsSymbolVisitor* vls_symbol_visitor_new (ValaSourceFile* file,
                                          ValaSymbol* symbol,
                                          gboolean include_declaration,
                                          VlsSymbolVisitorFunc func,
                                          gpointer func_target,
                                          GDestroyNotify func_target_destroy_notify);
VALA_EXTERN VlsSymbolVisitor* vls_symbol_visitor_construct (GType object_type,
                                                ValaSourceFile* file,
                                                ValaSymbol* symbol,
                                                gboolean include_declaration,
                                                VlsSymbolVisitorFunc func,
                                                gpointer func_target,
                                                GDestroyNotify func_target_destroy_notify);
static gboolean vls_symbol_visitor_filter (VlsSymbolVisitor* self,
                                    ValaCodeNode* node);
static void vls_symbol_visitor_real_visit_source_file (ValaCodeVisitor* base,
                                                ValaSourceFile* source_file);
static void vls_symbol_visitor_real_visit_addressof_expression (ValaCodeVisitor* base,
                                                         ValaAddressofExpression* expr);
static void vls_symbol_visitor_real_visit_array_creation_expression (ValaCodeVisitor* base,
                                                              ValaArrayCreationExpression* expr);
static void vls_symbol_visitor_real_visit_assignment (ValaCodeVisitor* base,
                                               ValaAssignment* a);
static void vls_symbol_visitor_real_visit_base_access (ValaCodeVisitor* base,
                                                ValaBaseAccess* expr);
static void vls_symbol_visitor_real_visit_binary_expression (ValaCodeVisitor* base,
                                                      ValaBinaryExpression* expr);
static void vls_symbol_visitor_real_visit_block (ValaCodeVisitor* base,
                                          ValaBlock* b);
static void vls_symbol_visitor_real_visit_boolean_literal (ValaCodeVisitor* base,
                                                    ValaBooleanLiteral* lit);
static void vls_symbol_visitor_real_visit_break_statement (ValaCodeVisitor* base,
                                                    ValaBreakStatement* stmt);
static void vls_symbol_visitor_real_visit_cast_expression (ValaCodeVisitor* base,
                                                    ValaCastExpression* expr);
static void vls_symbol_visitor_real_visit_catch_clause (ValaCodeVisitor* base,
                                                 ValaCatchClause* clause);
static void vls_symbol_visitor_real_visit_character_literal (ValaCodeVisitor* base,
                                                      ValaCharacterLiteral* lit);
static void vls_symbol_visitor_real_visit_class (ValaCodeVisitor* base,
                                          ValaClass* cl);
static void vls_symbol_visitor_real_visit_conditional_expression (ValaCodeVisitor* base,
                                                           ValaConditionalExpression* expr);
static void vls_symbol_visitor_real_visit_constant (ValaCodeVisitor* base,
                                             ValaConstant* c);
static void vls_symbol_visitor_real_visit_constructor (ValaCodeVisitor* base,
                                                ValaConstructor* c);
static void vls_symbol_visitor_real_visit_continue_statement (ValaCodeVisitor* base,
                                                       ValaContinueStatement* stmt);
static void vls_symbol_visitor_real_visit_creation_method (ValaCodeVisitor* base,
                                                    ValaCreationMethod* m);
static void vls_symbol_visitor_real_visit_data_type (ValaCodeVisitor* base,
                                              ValaDataType* type);
static void vls_symbol_visitor_real_visit_declaration_statement (ValaCodeVisitor* base,
                                                          ValaDeclarationStatement* stmt);
static void vls_symbol_visitor_real_visit_delegate (ValaCodeVisitor* base,
                                             ValaDelegate* cb);
static void vls_symbol_visitor_real_visit_delete_statement (ValaCodeVisitor* base,
                                                     ValaDeleteStatement* stmt);
static void vls_symbol_visitor_real_visit_destructor (ValaCodeVisitor* base,
                                               ValaDestructor* dtor);
static void vls_symbol_visitor_real_visit_do_statement (ValaCodeVisitor* base,
                                                 ValaDoStatement* stmt);
static void vls_symbol_visitor_real_visit_element_access (ValaCodeVisitor* base,
                                                   ValaElementAccess* expr);
static void vls_symbol_visitor_real_visit_empty_statement (ValaCodeVisitor* base,
                                                    ValaEmptyStatement* stmt);
static void vls_symbol_visitor_real_visit_enum (ValaCodeVisitor* base,
                                         ValaEnum* en);
static void vls_symbol_visitor_real_visit_enum_value (ValaCodeVisitor* base,
                                               ValaEnumValue* ev);
static void vls_symbol_visitor_real_visit_error_code (ValaCodeVisitor* base,
                                               ValaErrorCode* ecode);
static void vls_symbol_visitor_real_visit_error_domain (ValaCodeVisitor* base,
                                                 ValaErrorDomain* edomain);
static void vls_symbol_visitor_real_visit_expression (ValaCodeVisitor* base,
                                               ValaExpression* expr);
static void vls_symbol_visitor_real_visit_expression_statement (ValaCodeVisitor* base,
                                                         ValaExpressionStatement* stmt);
static void vls_symbol_visitor_real_visit_field (ValaCodeVisitor* base,
                                          ValaField* f);
static void vls_symbol_visitor_real_visit_for_statement (ValaCodeVisitor* base,
                                                  ValaForStatement* stmt);
static void vls_symbol_visitor_real_visit_foreach_statement (ValaCodeVisitor* base,
                                                      ValaForeachStatement* stmt);
static void vls_symbol_visitor_real_visit_formal_parameter (ValaCodeVisitor* base,
                                                     ValaParameter* p);
static void vls_symbol_visitor_real_visit_if_statement (ValaCodeVisitor* base,
                                                 ValaIfStatement* stmt);
static void vls_symbol_visitor_real_visit_initializer_list (ValaCodeVisitor* base,
                                                     ValaInitializerList* list);
static void vls_symbol_visitor_real_visit_integer_literal (ValaCodeVisitor* base,
                                                    ValaIntegerLiteral* lit);
static void vls_symbol_visitor_real_visit_interface (ValaCodeVisitor* base,
                                              ValaInterface* iface);
static void vls_symbol_visitor_real_visit_lambda_expression (ValaCodeVisitor* base,
                                                      ValaLambdaExpression* expr);
static void vls_symbol_visitor_real_visit_local_variable (ValaCodeVisitor* base,
                                                   ValaLocalVariable* local);
static void vls_symbol_visitor_real_visit_lock_statement (ValaCodeVisitor* base,
                                                   ValaLockStatement* stmt);
static void vls_symbol_visitor_real_visit_loop_statement (ValaCodeVisitor* base,
                                                   ValaLoopStatement* stmt);
static void vls_symbol_visitor_real_visit_member_access (ValaCodeVisitor* base,
                                                  ValaMemberAccess* expr);
static void vls_symbol_visitor_real_visit_method (ValaCodeVisitor* base,
                                           ValaMethod* m);
static void vls_symbol_visitor_real_visit_method_call (ValaCodeVisitor* base,
                                                ValaMethodCall* expr);
static void vls_symbol_visitor_real_visit_namespace (ValaCodeVisitor* base,
                                              ValaNamespace* ns);
static void vls_symbol_visitor_real_visit_null_literal (ValaCodeVisitor* base,
                                                 ValaNullLiteral* lit);
static void vls_symbol_visitor_real_visit_object_creation_expression (ValaCodeVisitor* base,
                                                               ValaObjectCreationExpression* expr);
static void vls_symbol_visitor_real_visit_pointer_indirection (ValaCodeVisitor* base,
                                                        ValaPointerIndirection* expr);
static void vls_symbol_visitor_real_visit_postfix_expression (ValaCodeVisitor* base,
                                                       ValaPostfixExpression* expr);
static void vls_symbol_visitor_real_visit_property (ValaCodeVisitor* base,
                                             ValaProperty* prop);
static void vls_symbol_visitor_real_visit_property_accessor (ValaCodeVisitor* base,
                                                      ValaPropertyAccessor* acc);
static void vls_symbol_visitor_real_visit_real_literal (ValaCodeVisitor* base,
                                                 ValaRealLiteral* lit);
static void vls_symbol_visitor_real_visit_reference_transfer_expression (ValaCodeVisitor* base,
                                                                  ValaReferenceTransferExpression* expr);
static void vls_symbol_visitor_real_visit_regex_literal (ValaCodeVisitor* base,
                                                  ValaRegexLiteral* lit);
static void vls_symbol_visitor_real_visit_return_statement (ValaCodeVisitor* base,
                                                     ValaReturnStatement* stmt);
static void vls_symbol_visitor_real_visit_signal (ValaCodeVisitor* base,
                                           ValaSignal* sig);
static void vls_symbol_visitor_real_visit_sizeof_expression (ValaCodeVisitor* base,
                                                      ValaSizeofExpression* expr);
static void vls_symbol_visitor_real_visit_slice_expression (ValaCodeVisitor* base,
                                                     ValaSliceExpression* expr);
static void vls_symbol_visitor_real_visit_string_literal (ValaCodeVisitor* base,
                                                   ValaStringLiteral* lit);
static void vls_symbol_visitor_real_visit_struct (ValaCodeVisitor* base,
                                           ValaStruct* st);
static void vls_symbol_visitor_real_visit_switch_label (ValaCodeVisitor* base,
                                                 ValaSwitchLabel* label);
static void vls_symbol_visitor_real_visit_switch_section (ValaCodeVisitor* base,
                                                   ValaSwitchSection* section);
static void vls_symbol_visitor_real_visit_switch_statement (ValaCodeVisitor* base,
                                                     ValaSwitchStatement* stmt);
static void vls_symbol_visitor_real_visit_template (ValaCodeVisitor* base,
                                             ValaTemplate* tmpl);
static void vls_symbol_visitor_real_visit_throw_statement (ValaCodeVisitor* base,
                                                    ValaThrowStatement* stmt);
static void vls_symbol_visitor_real_visit_try_statement (ValaCodeVisitor* base,
                                                  ValaTryStatement* stmt);
static void vls_symbol_visitor_real_visit_type_check (ValaCodeVisitor* base,
                                               ValaTypeCheck* expr);
static void vls_symbol_visitor_real_visit_type_parameter (ValaCodeVisitor* base,
                                                   ValaTypeParameter* p);
static void vls_symbol_visitor_real_visit_typeof_expression (ValaCodeVisitor* base,
                                                      ValaTypeofExpression* expr);
static void vls_symbol_visitor_real_visit_unary_expression (ValaCodeVisitor* base,
                                                     ValaUnaryExpression* expr);
static void vls_symbol_visitor_real_visit_unlock_statement (ValaCodeVisitor* base,
                                                     ValaUnlockStatement* stmt);
static void vls_symbol_visitor_real_visit_using_directive (ValaCodeVisitor* base,
                                                    ValaUsingDirective* ud);
static void vls_symbol_visitor_real_visit_yield_statement (ValaCodeVisitor* base,
                                                    ValaYieldStatement* stmt);
static void vls_symbol_visitor_real_visit_with_statement (ValaCodeVisitor* base,
                                                   ValaWithStatement* stmt);
static void vls_symbol_visitor_finalize (ValaCodeVisitor * obj);
static GType vls_symbol_visitor_get_type_once (void);

static inline gpointer
vls_symbol_visitor_get_instance_private (VlsSymbolVisitor* self)
{
	return G_STRUCT_MEMBER_P (self, VlsSymbolVisitor_private_offset);
}

static gpointer
_vala_source_file_ref0 (gpointer self)
{
#line 37 "../src/codehelp/symbolvisitor.vala"
	return self ? vala_source_file_ref (self) : NULL;
#line 270 "symbolvisitor.c"
}

VlsSymbolVisitor*
vls_symbol_visitor_construct (GType object_type,
                              ValaSourceFile* file,
                              ValaSymbol* symbol,
                              gboolean include_declaration,
                              VlsSymbolVisitorFunc func,
                              gpointer func_target,
                              GDestroyNotify func_target_destroy_notify)
{
	VlsSymbolVisitor* self = NULL;
	ValaSourceFile* _tmp0_;
	GeeHashSet* _tmp1_;
	VlsSymbolVisitorFunc _tmp2_;
	gpointer _tmp2__target;
	GDestroyNotify _tmp2__target_destroy_notify;
	gboolean _tmp3_ = FALSE;
#line 36 "../src/codehelp/symbolvisitor.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 36 "../src/codehelp/symbolvisitor.vala"
	g_return_val_if_fail (symbol != NULL, NULL);
#line 36 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) vala_code_visitor_construct (object_type);
#line 37 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = _vala_source_file_ref0 (file);
#line 37 "../src/codehelp/symbolvisitor.vala"
	_vala_source_file_unref0 (self->priv->file);
#line 37 "../src/codehelp/symbolvisitor.vala"
	self->priv->file = _tmp0_;
#line 38 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = gee_hash_set_new (VALA_TYPE_CODE_NODE, (GBoxedCopyFunc) vala_code_node_ref, (GDestroyNotify) vala_code_node_unref, NULL, NULL, NULL, NULL, NULL, NULL);
#line 38 "../src/codehelp/symbolvisitor.vala"
	if (_tmp1_) {
#line 38 "../src/codehelp/symbolvisitor.vala"
		g_object_set_data ((GObject *) _tmp1_, "vala-creation-function", "Vls.SymbolVisitor.new");
#line 307 "symbolvisitor.c"
	}
#line 38 "../src/codehelp/symbolvisitor.vala"
	_g_object_unref0 (self->priv->seen);
#line 38 "../src/codehelp/symbolvisitor.vala"
	self->priv->seen = _tmp1_;
#line 39 "../src/codehelp/symbolvisitor.vala"
	self->priv->include_declaration = include_declaration;
#line 40 "../src/codehelp/symbolvisitor.vala"
	_tmp2_ = func;
#line 40 "../src/codehelp/symbolvisitor.vala"
	_tmp2__target = func_target;
#line 40 "../src/codehelp/symbolvisitor.vala"
	_tmp2__target_destroy_notify = func_target_destroy_notify;
#line 40 "../src/codehelp/symbolvisitor.vala"
	func = NULL;
#line 40 "../src/codehelp/symbolvisitor.vala"
	func_target = NULL;
#line 40 "../src/codehelp/symbolvisitor.vala"
	func_target_destroy_notify = NULL;
#line 40 "../src/codehelp/symbolvisitor.vala"
	(self->priv->func_target_destroy_notify == NULL) ? NULL : (self->priv->func_target_destroy_notify (self->priv->func_target), NULL);
#line 40 "../src/codehelp/symbolvisitor.vala"
	self->priv->func = NULL;
#line 40 "../src/codehelp/symbolvisitor.vala"
	self->priv->func_target = NULL;
#line 40 "../src/codehelp/symbolvisitor.vala"
	self->priv->func_target_destroy_notify = NULL;
#line 40 "../src/codehelp/symbolvisitor.vala"
	self->priv->func = _tmp2_;
#line 40 "../src/codehelp/symbolvisitor.vala"
	self->priv->func_target = _tmp2__target;
#line 40 "../src/codehelp/symbolvisitor.vala"
	self->priv->func_target_destroy_notify = _tmp2__target_destroy_notify;
#line 41 "../src/codehelp/symbolvisitor.vala"
	vala_code_visitor_visit_source_file ((ValaCodeVisitor*) self, file);
#line 45 "../src/codehelp/symbolvisitor.vala"
	if (G_TYPE_CHECK_INSTANCE_TYPE (symbol, VALA_TYPE_LOCAL_VARIABLE)) {
#line 45 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = vls_symbol_visitor_filter (self, (ValaCodeNode*) symbol);
#line 347 "symbolvisitor.c"
	} else {
#line 45 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = FALSE;
#line 351 "symbolvisitor.c"
	}
#line 45 "../src/codehelp/symbolvisitor.vala"
	if (_tmp3_) {
#line 355 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp4_;
		gpointer _tmp4__target;
#line 46 "../src/codehelp/symbolvisitor.vala"
		_tmp4_ = self->priv->func;
#line 46 "../src/codehelp/symbolvisitor.vala"
		_tmp4__target = self->priv->func_target;
#line 46 "../src/codehelp/symbolvisitor.vala"
		_tmp4_ ((ValaCodeNode*) symbol, _tmp4__target);
#line 364 "symbolvisitor.c"
	}
#line 36 "../src/codehelp/symbolvisitor.vala"
	(func_target_destroy_notify == NULL) ? NULL : (func_target_destroy_notify (func_target), NULL);
#line 36 "../src/codehelp/symbolvisitor.vala"
	func = NULL;
#line 36 "../src/codehelp/symbolvisitor.vala"
	func_target = NULL;
#line 36 "../src/codehelp/symbolvisitor.vala"
	func_target_destroy_notify = NULL;
#line 36 "../src/codehelp/symbolvisitor.vala"
	return self;
#line 376 "symbolvisitor.c"
}

VlsSymbolVisitor*
vls_symbol_visitor_new (ValaSourceFile* file,
                        ValaSymbol* symbol,
                        gboolean include_declaration,
                        VlsSymbolVisitorFunc func,
                        gpointer func_target,
                        GDestroyNotify func_target_destroy_notify)
{
#line 36 "../src/codehelp/symbolvisitor.vala"
	return vls_symbol_visitor_construct (VLS_TYPE_SYMBOL_VISITOR, file, symbol, include_declaration, func, func_target, func_target_destroy_notify);
#line 389 "symbolvisitor.c"
}

static gpointer
_vala_source_reference_ref0 (gpointer self)
{
#line 50 "../src/codehelp/symbolvisitor.vala"
	return self ? vala_source_reference_ref (self) : NULL;
#line 397 "symbolvisitor.c"
}

static gboolean
vls_symbol_visitor_filter (VlsSymbolVisitor* self,
                           ValaCodeNode* node)
{
	ValaSourceReference* sr = NULL;
	ValaSourceReference* _tmp0_;
	ValaSourceReference* _tmp1_;
	ValaSourceReference* _tmp2_;
	ValaSourceReference* _tmp3_;
	ValaSourceReference* _tmp4_;
	ValaSourceFile* _tmp5_;
	ValaSourceFile* _tmp6_;
	ValaSourceFile* _tmp7_;
	ValaSourceReference* _tmp8_;
	ValaSourceLocation _tmp9_ = {0};
	ValaSourceLocation _tmp10_;
	ValaSourceReference* _tmp11_;
	ValaSourceLocation _tmp12_ = {0};
	ValaSourceLocation _tmp13_;
	gboolean result;
#line 49 "../src/codehelp/symbolvisitor.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 49 "../src/codehelp/symbolvisitor.vala"
	g_return_val_if_fail (node != NULL, FALSE);
#line 50 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = vala_code_node_get_source_reference (node);
#line 50 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = _tmp0_;
#line 50 "../src/codehelp/symbolvisitor.vala"
	_tmp2_ = _vala_source_reference_ref0 (_tmp1_);
#line 50 "../src/codehelp/symbolvisitor.vala"
	sr = _tmp2_;
#line 51 "../src/codehelp/symbolvisitor.vala"
	_tmp3_ = sr;
#line 51 "../src/codehelp/symbolvisitor.vala"
	if (_tmp3_ == NULL) {
#line 52 "../src/codehelp/symbolvisitor.vala"
		result = FALSE;
#line 52 "../src/codehelp/symbolvisitor.vala"
		_vala_source_reference_unref0 (sr);
#line 52 "../src/codehelp/symbolvisitor.vala"
		return result;
#line 442 "symbolvisitor.c"
	}
#line 53 "../src/codehelp/symbolvisitor.vala"
	_tmp4_ = sr;
#line 53 "../src/codehelp/symbolvisitor.vala"
	_tmp5_ = vala_source_reference_get_file (_tmp4_);
#line 53 "../src/codehelp/symbolvisitor.vala"
	_tmp6_ = _tmp5_;
#line 53 "../src/codehelp/symbolvisitor.vala"
	_tmp7_ = self->priv->file;
#line 53 "../src/codehelp/symbolvisitor.vala"
	if (_tmp6_ != _tmp7_) {
#line 54 "../src/codehelp/symbolvisitor.vala"
		result = FALSE;
#line 54 "../src/codehelp/symbolvisitor.vala"
		_vala_source_reference_unref0 (sr);
#line 54 "../src/codehelp/symbolvisitor.vala"
		return result;
#line 460 "symbolvisitor.c"
	}
#line 55 "../src/codehelp/symbolvisitor.vala"
	_tmp8_ = sr;
#line 55 "../src/codehelp/symbolvisitor.vala"
	vala_source_reference_get_begin (_tmp8_, &_tmp9_);
#line 55 "../src/codehelp/symbolvisitor.vala"
	_tmp10_ = _tmp9_;
#line 55 "../src/codehelp/symbolvisitor.vala"
	_tmp11_ = sr;
#line 55 "../src/codehelp/symbolvisitor.vala"
	vala_source_reference_get_end (_tmp11_, &_tmp12_);
#line 55 "../src/codehelp/symbolvisitor.vala"
	_tmp13_ = _tmp12_;
#line 55 "../src/codehelp/symbolvisitor.vala"
	if (_tmp10_.line > _tmp13_.line) {
#line 476 "symbolvisitor.c"
		const gchar* _tmp14_;
		const gchar* _tmp15_;
		ValaSourceReference* _tmp16_;
		gchar* _tmp17_;
		gchar* _tmp18_;
#line 56 "../src/codehelp/symbolvisitor.vala"
		_tmp14_ = vala_code_node_get_type_name (node);
#line 56 "../src/codehelp/symbolvisitor.vala"
		_tmp15_ = _tmp14_;
#line 56 "../src/codehelp/symbolvisitor.vala"
		_tmp16_ = sr;
#line 56 "../src/codehelp/symbolvisitor.vala"
		_tmp17_ = vala_source_reference_to_string (_tmp16_);
#line 56 "../src/codehelp/symbolvisitor.vala"
		_tmp18_ = _tmp17_;
#line 56 "../src/codehelp/symbolvisitor.vala"
		g_warning ("symbolvisitor.vala:56: wtf Vala: %s @ %s", _tmp15_, _tmp18_);
#line 56 "../src/codehelp/symbolvisitor.vala"
		_g_free0 (_tmp18_);
#line 57 "../src/codehelp/symbolvisitor.vala"
		result = FALSE;
#line 57 "../src/codehelp/symbolvisitor.vala"
		_vala_source_reference_unref0 (sr);
#line 57 "../src/codehelp/symbolvisitor.vala"
		return result;
#line 502 "symbolvisitor.c"
	}
#line 59 "../src/codehelp/symbolvisitor.vala"
	result = TRUE;
#line 59 "../src/codehelp/symbolvisitor.vala"
	_vala_source_reference_unref0 (sr);
#line 59 "../src/codehelp/symbolvisitor.vala"
	return result;
#line 510 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_source_file (ValaCodeVisitor* base,
                                           ValaSourceFile* source_file)
{
	VlsSymbolVisitor * self;
#line 62 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 62 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (source_file != NULL);
#line 63 "../src/codehelp/symbolvisitor.vala"
	vala_source_file_accept_children (source_file, (ValaCodeVisitor*) self);
#line 524 "symbolvisitor.c"
	{
		ValaList* _using_directive_list = NULL;
		ValaList* _tmp0_;
		ValaList* _tmp1_;
		gint _using_directive_size = 0;
		ValaList* _tmp2_;
		gint _tmp3_;
		gint _tmp4_;
		gint _using_directive_index = 0;
#line 64 "../src/codehelp/symbolvisitor.vala"
		_tmp0_ = vala_source_file_get_current_using_directives (source_file);
#line 64 "../src/codehelp/symbolvisitor.vala"
		_tmp1_ = _tmp0_;
#line 64 "../src/codehelp/symbolvisitor.vala"
		_using_directive_list = _tmp1_;
#line 64 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = _using_directive_list;
#line 64 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = vala_collection_get_size ((ValaCollection*) _tmp2_);
#line 64 "../src/codehelp/symbolvisitor.vala"
		_tmp4_ = _tmp3_;
#line 64 "../src/codehelp/symbolvisitor.vala"
		_using_directive_size = _tmp4_;
#line 64 "../src/codehelp/symbolvisitor.vala"
		_using_directive_index = -1;
#line 64 "../src/codehelp/symbolvisitor.vala"
		while (TRUE) {
#line 552 "symbolvisitor.c"
			gint _tmp5_;
			gint _tmp6_;
			ValaUsingDirective* using_directive = NULL;
			ValaList* _tmp7_;
			gpointer _tmp8_;
			ValaUsingDirective* _tmp9_;
#line 64 "../src/codehelp/symbolvisitor.vala"
			_using_directive_index = _using_directive_index + 1;
#line 64 "../src/codehelp/symbolvisitor.vala"
			_tmp5_ = _using_directive_index;
#line 64 "../src/codehelp/symbolvisitor.vala"
			_tmp6_ = _using_directive_size;
#line 64 "../src/codehelp/symbolvisitor.vala"
			if (!(_tmp5_ < _tmp6_)) {
#line 64 "../src/codehelp/symbolvisitor.vala"
				break;
#line 569 "symbolvisitor.c"
			}
#line 64 "../src/codehelp/symbolvisitor.vala"
			_tmp7_ = _using_directive_list;
#line 64 "../src/codehelp/symbolvisitor.vala"
			_tmp8_ = vala_list_get (_tmp7_, _using_directive_index);
#line 64 "../src/codehelp/symbolvisitor.vala"
			using_directive = (ValaUsingDirective*) _tmp8_;
#line 65 "../src/codehelp/symbolvisitor.vala"
			_tmp9_ = using_directive;
#line 65 "../src/codehelp/symbolvisitor.vala"
			vala_code_visitor_visit_using_directive ((ValaCodeVisitor*) self, _tmp9_);
#line 64 "../src/codehelp/symbolvisitor.vala"
			_vala_code_node_unref0 (using_directive);
#line 583 "symbolvisitor.c"
		}
	}
}

static void
vls_symbol_visitor_real_visit_addressof_expression (ValaCodeVisitor* base,
                                                    ValaAddressofExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 68 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 68 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 69 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 69 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 70 "../src/codehelp/symbolvisitor.vala"
		return;
#line 605 "symbolvisitor.c"
	}
#line 71 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 71 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 72 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 613 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 73 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 73 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 73 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 622 "symbolvisitor.c"
	}
#line 74 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 626 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_array_creation_expression (ValaCodeVisitor* base,
                                                         ValaArrayCreationExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 77 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 77 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 78 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 78 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 79 "../src/codehelp/symbolvisitor.vala"
		return;
#line 646 "symbolvisitor.c"
	}
#line 80 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 80 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 81 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 654 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 82 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 82 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 82 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 663 "symbolvisitor.c"
	}
#line 83 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 667 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_assignment (ValaCodeVisitor* base,
                                          ValaAssignment* a)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 86 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 86 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (a != NULL);
#line 87 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 87 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) a)) {
#line 88 "../src/codehelp/symbolvisitor.vala"
		return;
#line 687 "symbolvisitor.c"
	}
#line 89 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 89 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) a);
#line 90 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) a)) {
#line 695 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 91 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 91 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 91 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) a, _tmp2__target);
#line 704 "symbolvisitor.c"
	}
#line 92 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) a, (ValaCodeVisitor*) self);
#line 708 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_base_access (ValaCodeVisitor* base,
                                           ValaBaseAccess* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 95 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 95 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 96 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 96 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 97 "../src/codehelp/symbolvisitor.vala"
		return;
#line 728 "symbolvisitor.c"
	}
#line 98 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 98 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 99 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 736 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 100 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 100 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 100 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 745 "symbolvisitor.c"
	}
#line 101 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 749 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_binary_expression (ValaCodeVisitor* base,
                                                 ValaBinaryExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 104 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 104 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 105 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 105 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 106 "../src/codehelp/symbolvisitor.vala"
		return;
#line 769 "symbolvisitor.c"
	}
#line 107 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 107 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 108 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 777 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 109 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 109 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 109 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 786 "symbolvisitor.c"
	}
#line 110 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 790 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_block (ValaCodeVisitor* base,
                                     ValaBlock* b)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 113 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 113 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (b != NULL);
#line 114 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 114 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) b)) {
#line 115 "../src/codehelp/symbolvisitor.vala"
		return;
#line 810 "symbolvisitor.c"
	}
#line 116 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 116 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) b);
#line 117 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) b)) {
#line 818 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 118 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 118 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 118 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) b, _tmp2__target);
#line 827 "symbolvisitor.c"
	}
#line 119 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) b, (ValaCodeVisitor*) self);
#line 831 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_boolean_literal (ValaCodeVisitor* base,
                                               ValaBooleanLiteral* lit)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 122 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 122 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (lit != NULL);
#line 123 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 123 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) lit)) {
#line 124 "../src/codehelp/symbolvisitor.vala"
		return;
#line 851 "symbolvisitor.c"
	}
#line 125 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 125 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) lit);
#line 126 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) lit)) {
#line 859 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 127 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 127 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 127 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) lit, _tmp2__target);
#line 868 "symbolvisitor.c"
	}
#line 128 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) lit, (ValaCodeVisitor*) self);
#line 872 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_break_statement (ValaCodeVisitor* base,
                                               ValaBreakStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 131 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 131 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 132 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 132 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 133 "../src/codehelp/symbolvisitor.vala"
		return;
#line 892 "symbolvisitor.c"
	}
#line 134 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 134 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 135 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 900 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 136 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 136 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 136 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 909 "symbolvisitor.c"
	}
#line 137 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 913 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_cast_expression (ValaCodeVisitor* base,
                                               ValaCastExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 140 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 140 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 141 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 141 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 142 "../src/codehelp/symbolvisitor.vala"
		return;
#line 933 "symbolvisitor.c"
	}
#line 143 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 143 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 144 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 941 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 145 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 145 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 145 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 950 "symbolvisitor.c"
	}
#line 146 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 954 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_catch_clause (ValaCodeVisitor* base,
                                            ValaCatchClause* clause)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 149 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 149 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (clause != NULL);
#line 150 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 150 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) clause)) {
#line 151 "../src/codehelp/symbolvisitor.vala"
		return;
#line 974 "symbolvisitor.c"
	}
#line 152 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 152 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) clause);
#line 153 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) clause)) {
#line 982 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 154 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 154 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 154 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) clause, _tmp2__target);
#line 991 "symbolvisitor.c"
	}
#line 155 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) clause, (ValaCodeVisitor*) self);
#line 995 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_character_literal (ValaCodeVisitor* base,
                                                 ValaCharacterLiteral* lit)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 158 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 158 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (lit != NULL);
#line 159 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 159 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) lit)) {
#line 160 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1015 "symbolvisitor.c"
	}
#line 161 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 161 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) lit);
#line 162 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) lit)) {
#line 1023 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 163 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 163 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 163 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) lit, _tmp2__target);
#line 1032 "symbolvisitor.c"
	}
#line 164 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) lit, (ValaCodeVisitor*) self);
#line 1036 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_class (ValaCodeVisitor* base,
                                     ValaClass* cl)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 167 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 167 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (cl != NULL);
#line 168 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 168 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) cl)) {
#line 169 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1057 "symbolvisitor.c"
	}
#line 170 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 170 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) cl);
#line 171 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) cl)) {
#line 171 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1067 "symbolvisitor.c"
	} else {
#line 171 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1071 "symbolvisitor.c"
	}
#line 171 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1075 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 172 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 172 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 172 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) cl, _tmp3__target);
#line 1084 "symbolvisitor.c"
	}
#line 173 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) cl, (ValaCodeVisitor*) self);
#line 1088 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_conditional_expression (ValaCodeVisitor* base,
                                                      ValaConditionalExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 176 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 176 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 177 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 177 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 178 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1108 "symbolvisitor.c"
	}
#line 179 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 179 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 180 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 1116 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 181 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 181 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 181 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 1125 "symbolvisitor.c"
	}
#line 182 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 1129 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_constant (ValaCodeVisitor* base,
                                        ValaConstant* c)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 185 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 185 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (c != NULL);
#line 186 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 186 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) c)) {
#line 187 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1150 "symbolvisitor.c"
	}
#line 188 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 188 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) c);
#line 189 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) c)) {
#line 189 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1160 "symbolvisitor.c"
	} else {
#line 189 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1164 "symbolvisitor.c"
	}
#line 189 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1168 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 190 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 190 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 190 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) c, _tmp3__target);
#line 1177 "symbolvisitor.c"
	}
#line 191 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) c, (ValaCodeVisitor*) self);
#line 1181 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_constructor (ValaCodeVisitor* base,
                                           ValaConstructor* c)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 194 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 194 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (c != NULL);
#line 195 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 195 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) c)) {
#line 196 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1202 "symbolvisitor.c"
	}
#line 197 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 197 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) c);
#line 198 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) c)) {
#line 198 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1212 "symbolvisitor.c"
	} else {
#line 198 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1216 "symbolvisitor.c"
	}
#line 198 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1220 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 199 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 199 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 199 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) c, _tmp3__target);
#line 1229 "symbolvisitor.c"
	}
#line 200 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) c, (ValaCodeVisitor*) self);
#line 1233 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_continue_statement (ValaCodeVisitor* base,
                                                  ValaContinueStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 203 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 203 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 204 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 204 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 205 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1253 "symbolvisitor.c"
	}
#line 206 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 206 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 207 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 1261 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 208 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 208 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 208 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 1270 "symbolvisitor.c"
	}
#line 209 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 1274 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_creation_method (ValaCodeVisitor* base,
                                               ValaCreationMethod* m)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 212 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 212 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (m != NULL);
#line 213 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 213 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) m)) {
#line 214 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1295 "symbolvisitor.c"
	}
#line 215 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 215 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) m);
#line 216 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) m)) {
#line 216 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1305 "symbolvisitor.c"
	} else {
#line 216 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1309 "symbolvisitor.c"
	}
#line 216 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1313 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 217 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 217 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 217 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) m, _tmp3__target);
#line 1322 "symbolvisitor.c"
	}
#line 218 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) m, (ValaCodeVisitor*) self);
#line 1326 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_data_type (ValaCodeVisitor* base,
                                         ValaDataType* type)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 221 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 221 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (type != NULL);
#line 222 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 222 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) type)) {
#line 223 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1346 "symbolvisitor.c"
	}
#line 224 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 224 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) type);
#line 225 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) type)) {
#line 1354 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 226 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 226 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 226 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) type, _tmp2__target);
#line 1363 "symbolvisitor.c"
	}
#line 227 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) type, (ValaCodeVisitor*) self);
#line 1367 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_declaration_statement (ValaCodeVisitor* base,
                                                     ValaDeclarationStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 230 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 230 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 231 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 231 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 232 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1387 "symbolvisitor.c"
	}
#line 233 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 233 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 234 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 1395 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 235 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 235 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 235 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 1404 "symbolvisitor.c"
	}
#line 236 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 1408 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_delegate (ValaCodeVisitor* base,
                                        ValaDelegate* cb)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 239 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 239 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (cb != NULL);
#line 240 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 240 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) cb)) {
#line 241 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1429 "symbolvisitor.c"
	}
#line 242 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 242 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) cb);
#line 243 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) cb)) {
#line 243 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1439 "symbolvisitor.c"
	} else {
#line 243 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1443 "symbolvisitor.c"
	}
#line 243 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1447 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 244 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 244 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 244 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) cb, _tmp3__target);
#line 1456 "symbolvisitor.c"
	}
#line 245 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) cb, (ValaCodeVisitor*) self);
#line 1460 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_delete_statement (ValaCodeVisitor* base,
                                                ValaDeleteStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 248 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 248 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 249 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 249 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 250 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1480 "symbolvisitor.c"
	}
#line 251 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 251 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 252 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 1488 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 253 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 253 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 253 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 1497 "symbolvisitor.c"
	}
#line 254 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 1501 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_destructor (ValaCodeVisitor* base,
                                          ValaDestructor* dtor)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 257 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 257 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (dtor != NULL);
#line 258 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 258 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) dtor)) {
#line 259 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1522 "symbolvisitor.c"
	}
#line 260 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 260 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) dtor);
#line 261 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) dtor)) {
#line 261 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1532 "symbolvisitor.c"
	} else {
#line 261 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1536 "symbolvisitor.c"
	}
#line 261 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1540 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 262 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 262 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 262 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) dtor, _tmp3__target);
#line 1549 "symbolvisitor.c"
	}
#line 263 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) dtor, (ValaCodeVisitor*) self);
#line 1553 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_do_statement (ValaCodeVisitor* base,
                                            ValaDoStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 266 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 266 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 267 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 267 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 268 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1573 "symbolvisitor.c"
	}
#line 269 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 269 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 270 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 1581 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 271 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 271 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 271 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 1590 "symbolvisitor.c"
	}
#line 272 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 1594 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_element_access (ValaCodeVisitor* base,
                                              ValaElementAccess* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 275 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 275 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 276 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 276 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 277 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1614 "symbolvisitor.c"
	}
#line 278 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 278 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 279 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 1622 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 280 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 280 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 280 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 1631 "symbolvisitor.c"
	}
#line 281 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 1635 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_empty_statement (ValaCodeVisitor* base,
                                               ValaEmptyStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 284 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 284 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 285 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 285 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 286 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1655 "symbolvisitor.c"
	}
#line 287 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 287 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 288 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 1663 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 289 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 289 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 289 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 1672 "symbolvisitor.c"
	}
#line 290 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 1676 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_enum (ValaCodeVisitor* base,
                                    ValaEnum* en)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 293 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 293 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (en != NULL);
#line 294 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 294 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) en)) {
#line 295 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1697 "symbolvisitor.c"
	}
#line 296 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 296 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) en);
#line 297 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) en)) {
#line 297 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1707 "symbolvisitor.c"
	} else {
#line 297 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1711 "symbolvisitor.c"
	}
#line 297 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1715 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 298 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 298 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 298 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) en, _tmp3__target);
#line 1724 "symbolvisitor.c"
	}
#line 299 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) en, (ValaCodeVisitor*) self);
#line 1728 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_enum_value (ValaCodeVisitor* base,
                                          ValaEnumValue* ev)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 302 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 302 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (ev != NULL);
#line 303 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 303 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) ev)) {
#line 304 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1749 "symbolvisitor.c"
	}
#line 305 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 305 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) ev);
#line 306 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) ev)) {
#line 306 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1759 "symbolvisitor.c"
	} else {
#line 306 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1763 "symbolvisitor.c"
	}
#line 306 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1767 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 307 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 307 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 307 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) ev, _tmp3__target);
#line 1776 "symbolvisitor.c"
	}
#line 308 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) ev, (ValaCodeVisitor*) self);
#line 1780 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_error_code (ValaCodeVisitor* base,
                                          ValaErrorCode* ecode)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 311 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 311 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (ecode != NULL);
#line 312 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 312 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) ecode)) {
#line 313 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1801 "symbolvisitor.c"
	}
#line 314 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 314 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) ecode);
#line 315 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) ecode)) {
#line 315 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1811 "symbolvisitor.c"
	} else {
#line 315 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1815 "symbolvisitor.c"
	}
#line 315 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1819 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 316 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 316 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 316 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) ecode, _tmp3__target);
#line 1828 "symbolvisitor.c"
	}
#line 317 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) ecode, (ValaCodeVisitor*) self);
#line 1832 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_error_domain (ValaCodeVisitor* base,
                                            ValaErrorDomain* edomain)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 320 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 320 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (edomain != NULL);
#line 321 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 321 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) edomain)) {
#line 322 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1853 "symbolvisitor.c"
	}
#line 323 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 323 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) edomain);
#line 324 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) edomain)) {
#line 324 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1863 "symbolvisitor.c"
	} else {
#line 324 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 1867 "symbolvisitor.c"
	}
#line 324 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 1871 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 325 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 325 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 325 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) edomain, _tmp3__target);
#line 1880 "symbolvisitor.c"
	}
#line 326 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) edomain, (ValaCodeVisitor*) self);
#line 1884 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_expression (ValaCodeVisitor* base,
                                          ValaExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 332 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 332 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 333 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 333 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 334 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1904 "symbolvisitor.c"
	}
#line 335 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 335 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 336 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 1912 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 337 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 337 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 337 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 1921 "symbolvisitor.c"
	}
#line 338 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 1925 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_expression_statement (ValaCodeVisitor* base,
                                                    ValaExpressionStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 341 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 341 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 342 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 342 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 343 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1945 "symbolvisitor.c"
	}
#line 344 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 344 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 345 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 1953 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 346 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 346 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 346 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 1962 "symbolvisitor.c"
	}
#line 347 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 1966 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_field (ValaCodeVisitor* base,
                                     ValaField* f)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 350 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 350 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (f != NULL);
#line 351 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 351 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) f)) {
#line 352 "../src/codehelp/symbolvisitor.vala"
		return;
#line 1987 "symbolvisitor.c"
	}
#line 353 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 353 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) f);
#line 354 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) f)) {
#line 354 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 1997 "symbolvisitor.c"
	} else {
#line 354 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 2001 "symbolvisitor.c"
	}
#line 354 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 2005 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 355 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 355 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 355 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) f, _tmp3__target);
#line 2014 "symbolvisitor.c"
	}
#line 356 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) f, (ValaCodeVisitor*) self);
#line 2018 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_for_statement (ValaCodeVisitor* base,
                                             ValaForStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 359 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 359 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 360 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 360 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 361 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2038 "symbolvisitor.c"
	}
#line 362 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 362 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 363 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 2046 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 364 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 364 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 364 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 2055 "symbolvisitor.c"
	}
#line 365 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 2059 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_foreach_statement (ValaCodeVisitor* base,
                                                 ValaForeachStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 368 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 368 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 369 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 369 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 370 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2079 "symbolvisitor.c"
	}
#line 371 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 371 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 372 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 2087 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 373 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 373 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 373 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 2096 "symbolvisitor.c"
	}
#line 374 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 2100 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_formal_parameter (ValaCodeVisitor* base,
                                                ValaParameter* p)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 377 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 377 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (p != NULL);
#line 378 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 378 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) p)) {
#line 379 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2121 "symbolvisitor.c"
	}
#line 380 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 380 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) p);
#line 381 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) p)) {
#line 381 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 2131 "symbolvisitor.c"
	} else {
#line 381 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 2135 "symbolvisitor.c"
	}
#line 381 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 2139 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 382 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 382 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 382 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) p, _tmp3__target);
#line 2148 "symbolvisitor.c"
	}
#line 383 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) p, (ValaCodeVisitor*) self);
#line 2152 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_if_statement (ValaCodeVisitor* base,
                                            ValaIfStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 386 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 386 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 387 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 387 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 388 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2172 "symbolvisitor.c"
	}
#line 389 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 389 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 390 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 2180 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 391 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 391 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 391 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 2189 "symbolvisitor.c"
	}
#line 392 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 2193 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_initializer_list (ValaCodeVisitor* base,
                                                ValaInitializerList* list)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 395 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 395 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (list != NULL);
#line 396 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 396 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) list)) {
#line 397 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2213 "symbolvisitor.c"
	}
#line 398 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 398 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) list);
#line 399 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) list)) {
#line 2221 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 400 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 400 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 400 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) list, _tmp2__target);
#line 2230 "symbolvisitor.c"
	}
#line 401 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) list, (ValaCodeVisitor*) self);
#line 2234 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_integer_literal (ValaCodeVisitor* base,
                                               ValaIntegerLiteral* lit)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 404 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 404 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (lit != NULL);
#line 405 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 405 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) lit)) {
#line 406 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2254 "symbolvisitor.c"
	}
#line 407 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 407 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) lit);
#line 408 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) lit)) {
#line 2262 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 409 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 409 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 409 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) lit, _tmp2__target);
#line 2271 "symbolvisitor.c"
	}
#line 410 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) lit, (ValaCodeVisitor*) self);
#line 2275 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_interface (ValaCodeVisitor* base,
                                         ValaInterface* iface)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 413 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 413 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (iface != NULL);
#line 414 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 414 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) iface)) {
#line 415 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2296 "symbolvisitor.c"
	}
#line 416 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 416 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) iface);
#line 417 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) iface)) {
#line 417 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 2306 "symbolvisitor.c"
	} else {
#line 417 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 2310 "symbolvisitor.c"
	}
#line 417 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 2314 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 418 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 418 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 418 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) iface, _tmp3__target);
#line 2323 "symbolvisitor.c"
	}
#line 419 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) iface, (ValaCodeVisitor*) self);
#line 2327 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_lambda_expression (ValaCodeVisitor* base,
                                                 ValaLambdaExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 422 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 422 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 423 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 423 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 424 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2347 "symbolvisitor.c"
	}
#line 425 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 425 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 426 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 2355 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 427 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 427 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 427 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 2364 "symbolvisitor.c"
	}
#line 428 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 2368 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_local_variable (ValaCodeVisitor* base,
                                              ValaLocalVariable* local)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 431 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 431 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (local != NULL);
#line 432 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 432 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) local)) {
#line 433 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2389 "symbolvisitor.c"
	}
#line 434 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 434 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) local);
#line 435 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) local)) {
#line 2397 "symbolvisitor.c"
		gboolean _tmp3_ = FALSE;
#line 435 "../src/codehelp/symbolvisitor.vala"
		if (self->priv->include_declaration) {
#line 435 "../src/codehelp/symbolvisitor.vala"
			_tmp3_ = TRUE;
#line 2403 "symbolvisitor.c"
		} else {
			ValaCodeNode* _tmp4_;
			ValaCodeNode* _tmp5_;
#line 435 "../src/codehelp/symbolvisitor.vala"
			_tmp4_ = vala_code_node_get_parent_node ((ValaCodeNode*) local);
#line 435 "../src/codehelp/symbolvisitor.vala"
			_tmp5_ = _tmp4_;
#line 435 "../src/codehelp/symbolvisitor.vala"
			_tmp3_ = !G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, VALA_TYPE_DECLARATION_STATEMENT);
#line 2413 "symbolvisitor.c"
		}
#line 435 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = _tmp3_;
#line 2417 "symbolvisitor.c"
	} else {
#line 435 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 2421 "symbolvisitor.c"
	}
#line 435 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 2425 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp6_;
		gpointer _tmp6__target;
#line 436 "../src/codehelp/symbolvisitor.vala"
		_tmp6_ = self->priv->func;
#line 436 "../src/codehelp/symbolvisitor.vala"
		_tmp6__target = self->priv->func_target;
#line 436 "../src/codehelp/symbolvisitor.vala"
		_tmp6_ ((ValaCodeNode*) local, _tmp6__target);
#line 2434 "symbolvisitor.c"
	}
#line 437 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) local, (ValaCodeVisitor*) self);
#line 2438 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_lock_statement (ValaCodeVisitor* base,
                                              ValaLockStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 440 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 440 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 441 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 441 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 442 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2458 "symbolvisitor.c"
	}
#line 443 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 443 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 444 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 2466 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 445 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 445 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 445 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 2475 "symbolvisitor.c"
	}
#line 446 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 2479 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_loop_statement (ValaCodeVisitor* base,
                                              ValaLoopStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 450 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 450 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 454 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 454 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 455 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2499 "symbolvisitor.c"
	}
#line 456 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 456 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 457 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 2507 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 458 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 458 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 458 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 2516 "symbolvisitor.c"
	}
#line 459 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 2520 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_member_access (ValaCodeVisitor* base,
                                             ValaMemberAccess* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 462 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 462 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 463 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 463 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 464 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2540 "symbolvisitor.c"
	}
#line 465 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 465 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 466 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 2548 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 467 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 467 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 467 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 2557 "symbolvisitor.c"
	}
#line 468 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 2561 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_method (ValaCodeVisitor* base,
                                      ValaMethod* m)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 471 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 471 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (m != NULL);
#line 472 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 472 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) m)) {
#line 473 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2582 "symbolvisitor.c"
	}
#line 474 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 474 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) m);
#line 475 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) m)) {
#line 475 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 2592 "symbolvisitor.c"
	} else {
#line 475 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 2596 "symbolvisitor.c"
	}
#line 475 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 2600 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 476 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 476 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 476 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) m, _tmp3__target);
#line 2609 "symbolvisitor.c"
	}
#line 477 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) m, (ValaCodeVisitor*) self);
#line 2613 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_method_call (ValaCodeVisitor* base,
                                           ValaMethodCall* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 480 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 480 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 481 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 481 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 482 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2633 "symbolvisitor.c"
	}
#line 483 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 483 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 484 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 2641 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 485 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 485 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 485 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 2650 "symbolvisitor.c"
	}
#line 486 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 2654 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_namespace (ValaCodeVisitor* base,
                                         ValaNamespace* ns)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 489 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 489 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (ns != NULL);
#line 490 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 490 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) ns)) {
#line 491 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2674 "symbolvisitor.c"
	}
#line 492 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 492 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) ns);
#line 493 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) ns)) {
#line 2682 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 494 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 494 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 494 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) ns, _tmp2__target);
#line 2691 "symbolvisitor.c"
	}
#line 495 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) ns, (ValaCodeVisitor*) self);
#line 2695 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_null_literal (ValaCodeVisitor* base,
                                            ValaNullLiteral* lit)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 498 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 498 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (lit != NULL);
#line 499 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 499 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) lit)) {
#line 500 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2715 "symbolvisitor.c"
	}
#line 501 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 501 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) lit);
#line 502 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) lit)) {
#line 2723 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 503 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 503 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 503 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) lit, _tmp2__target);
#line 2732 "symbolvisitor.c"
	}
#line 504 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) lit, (ValaCodeVisitor*) self);
#line 2736 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_object_creation_expression (ValaCodeVisitor* base,
                                                          ValaObjectCreationExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 507 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 507 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 508 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 508 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 509 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2756 "symbolvisitor.c"
	}
#line 510 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 510 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 511 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 2764 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 512 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 512 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 512 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 2773 "symbolvisitor.c"
	}
#line 513 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 2777 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_pointer_indirection (ValaCodeVisitor* base,
                                                   ValaPointerIndirection* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 516 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 516 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 517 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 517 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 518 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2797 "symbolvisitor.c"
	}
#line 519 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 519 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 520 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 2805 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 521 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 521 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 521 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 2814 "symbolvisitor.c"
	}
#line 522 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 2818 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_postfix_expression (ValaCodeVisitor* base,
                                                  ValaPostfixExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 525 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 525 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 526 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 526 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 527 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2838 "symbolvisitor.c"
	}
#line 528 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 528 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 529 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 2846 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 530 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 530 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 530 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 2855 "symbolvisitor.c"
	}
#line 531 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 2859 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_property (ValaCodeVisitor* base,
                                        ValaProperty* prop)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 534 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 534 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (prop != NULL);
#line 535 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 535 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) prop)) {
#line 536 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2880 "symbolvisitor.c"
	}
#line 537 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 537 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) prop);
#line 538 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) prop)) {
#line 538 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 2890 "symbolvisitor.c"
	} else {
#line 538 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 2894 "symbolvisitor.c"
	}
#line 538 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 2898 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 539 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 539 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 539 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) prop, _tmp3__target);
#line 2907 "symbolvisitor.c"
	}
#line 540 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) prop, (ValaCodeVisitor*) self);
#line 2911 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_property_accessor (ValaCodeVisitor* base,
                                                 ValaPropertyAccessor* acc)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 543 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 543 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (acc != NULL);
#line 544 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 544 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) acc)) {
#line 545 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2932 "symbolvisitor.c"
	}
#line 546 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 546 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) acc);
#line 547 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) acc)) {
#line 547 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 2942 "symbolvisitor.c"
	} else {
#line 547 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 2946 "symbolvisitor.c"
	}
#line 547 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 2950 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 548 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 548 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 548 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) acc, _tmp3__target);
#line 2959 "symbolvisitor.c"
	}
#line 549 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) acc, (ValaCodeVisitor*) self);
#line 2963 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_real_literal (ValaCodeVisitor* base,
                                            ValaRealLiteral* lit)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 552 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 552 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (lit != NULL);
#line 553 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 553 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) lit)) {
#line 554 "../src/codehelp/symbolvisitor.vala"
		return;
#line 2983 "symbolvisitor.c"
	}
#line 555 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 555 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) lit);
#line 556 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) lit)) {
#line 2991 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 557 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 557 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 557 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) lit, _tmp2__target);
#line 3000 "symbolvisitor.c"
	}
#line 558 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) lit, (ValaCodeVisitor*) self);
#line 3004 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_reference_transfer_expression (ValaCodeVisitor* base,
                                                             ValaReferenceTransferExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 561 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 561 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 562 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 562 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 563 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3024 "symbolvisitor.c"
	}
#line 564 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 564 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 565 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 3032 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 566 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 566 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 566 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 3041 "symbolvisitor.c"
	}
#line 567 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 3045 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_regex_literal (ValaCodeVisitor* base,
                                             ValaRegexLiteral* lit)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 570 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 570 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (lit != NULL);
#line 571 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 571 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) lit)) {
#line 572 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3065 "symbolvisitor.c"
	}
#line 573 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 573 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) lit);
#line 574 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) lit)) {
#line 3073 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 575 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 575 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 575 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) lit, _tmp2__target);
#line 3082 "symbolvisitor.c"
	}
#line 576 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) lit, (ValaCodeVisitor*) self);
#line 3086 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_return_statement (ValaCodeVisitor* base,
                                                ValaReturnStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 579 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 579 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 580 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 580 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 581 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3106 "symbolvisitor.c"
	}
#line 582 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 582 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 583 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 3114 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 584 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 584 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 584 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 3123 "symbolvisitor.c"
	}
#line 585 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 3127 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_signal (ValaCodeVisitor* base,
                                      ValaSignal* sig)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 588 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 588 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (sig != NULL);
#line 589 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 589 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) sig)) {
#line 590 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3148 "symbolvisitor.c"
	}
#line 591 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 591 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) sig);
#line 592 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) sig)) {
#line 592 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 3158 "symbolvisitor.c"
	} else {
#line 592 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 3162 "symbolvisitor.c"
	}
#line 592 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 3166 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 593 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 593 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 593 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) sig, _tmp3__target);
#line 3175 "symbolvisitor.c"
	}
#line 594 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) sig, (ValaCodeVisitor*) self);
#line 3179 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_sizeof_expression (ValaCodeVisitor* base,
                                                 ValaSizeofExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 597 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 597 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 598 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 598 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 599 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3199 "symbolvisitor.c"
	}
#line 600 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 600 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 601 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 3207 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 602 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 602 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 602 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 3216 "symbolvisitor.c"
	}
#line 603 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 3220 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_slice_expression (ValaCodeVisitor* base,
                                                ValaSliceExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 606 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 606 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 607 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 607 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 608 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3240 "symbolvisitor.c"
	}
#line 609 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 609 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 610 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 3248 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 611 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 611 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 611 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 3257 "symbolvisitor.c"
	}
#line 612 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 3261 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_string_literal (ValaCodeVisitor* base,
                                              ValaStringLiteral* lit)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 615 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 615 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (lit != NULL);
#line 616 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 616 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) lit)) {
#line 617 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3281 "symbolvisitor.c"
	}
#line 618 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 618 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) lit);
#line 619 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) lit)) {
#line 3289 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 620 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 620 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 620 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) lit, _tmp2__target);
#line 3298 "symbolvisitor.c"
	}
#line 621 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) lit, (ValaCodeVisitor*) self);
#line 3302 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_struct (ValaCodeVisitor* base,
                                      ValaStruct* st)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
	gboolean _tmp2_ = FALSE;
#line 624 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 624 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (st != NULL);
#line 625 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 625 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) st)) {
#line 626 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3323 "symbolvisitor.c"
	}
#line 627 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 627 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) st);
#line 628 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) st)) {
#line 628 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->include_declaration;
#line 3333 "symbolvisitor.c"
	} else {
#line 628 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = FALSE;
#line 3337 "symbolvisitor.c"
	}
#line 628 "../src/codehelp/symbolvisitor.vala"
	if (_tmp2_) {
#line 3341 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp3_;
		gpointer _tmp3__target;
#line 629 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ = self->priv->func;
#line 629 "../src/codehelp/symbolvisitor.vala"
		_tmp3__target = self->priv->func_target;
#line 629 "../src/codehelp/symbolvisitor.vala"
		_tmp3_ ((ValaCodeNode*) st, _tmp3__target);
#line 3350 "symbolvisitor.c"
	}
#line 630 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) st, (ValaCodeVisitor*) self);
#line 3354 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_switch_label (ValaCodeVisitor* base,
                                            ValaSwitchLabel* label)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 633 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 633 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (label != NULL);
#line 634 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 634 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) label)) {
#line 635 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3374 "symbolvisitor.c"
	}
#line 636 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 636 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) label);
#line 637 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) label)) {
#line 3382 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 638 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 638 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 638 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) label, _tmp2__target);
#line 3391 "symbolvisitor.c"
	}
#line 639 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) label, (ValaCodeVisitor*) self);
#line 3395 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_switch_section (ValaCodeVisitor* base,
                                              ValaSwitchSection* section)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 642 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 642 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (section != NULL);
#line 643 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 643 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) section)) {
#line 644 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3415 "symbolvisitor.c"
	}
#line 645 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 645 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) section);
#line 646 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) section)) {
#line 3423 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 647 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 647 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 647 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) section, _tmp2__target);
#line 3432 "symbolvisitor.c"
	}
#line 648 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) section, (ValaCodeVisitor*) self);
#line 3436 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_switch_statement (ValaCodeVisitor* base,
                                                ValaSwitchStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 651 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 651 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 652 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 652 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 653 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3456 "symbolvisitor.c"
	}
#line 654 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 654 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 655 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 3464 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 656 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 656 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 656 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 3473 "symbolvisitor.c"
	}
#line 657 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 3477 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_template (ValaCodeVisitor* base,
                                        ValaTemplate* tmpl)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 660 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 660 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (tmpl != NULL);
#line 661 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 661 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) tmpl)) {
#line 662 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3497 "symbolvisitor.c"
	}
#line 663 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 663 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) tmpl);
#line 664 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) tmpl)) {
#line 3505 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 665 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 665 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 665 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) tmpl, _tmp2__target);
#line 3514 "symbolvisitor.c"
	}
#line 666 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) tmpl, (ValaCodeVisitor*) self);
#line 3518 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_throw_statement (ValaCodeVisitor* base,
                                               ValaThrowStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 669 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 669 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 670 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 670 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 671 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3538 "symbolvisitor.c"
	}
#line 672 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 672 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 673 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 3546 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 674 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 674 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 674 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 3555 "symbolvisitor.c"
	}
#line 675 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 3559 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_try_statement (ValaCodeVisitor* base,
                                             ValaTryStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 678 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 678 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 679 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 679 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 680 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3579 "symbolvisitor.c"
	}
#line 681 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 681 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 682 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 3587 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 683 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 683 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 683 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 3596 "symbolvisitor.c"
	}
#line 684 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 3600 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_type_check (ValaCodeVisitor* base,
                                          ValaTypeCheck* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 687 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 687 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 688 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 688 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 689 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3620 "symbolvisitor.c"
	}
#line 690 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 690 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 691 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 3628 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 692 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 692 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 692 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 3637 "symbolvisitor.c"
	}
#line 693 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 3641 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_type_parameter (ValaCodeVisitor* base,
                                              ValaTypeParameter* p)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 696 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 696 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (p != NULL);
#line 697 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 697 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) p)) {
#line 698 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3661 "symbolvisitor.c"
	}
#line 699 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 699 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) p);
#line 700 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) p)) {
#line 3669 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 701 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 701 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 701 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) p, _tmp2__target);
#line 3678 "symbolvisitor.c"
	}
#line 702 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) p, (ValaCodeVisitor*) self);
#line 3682 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_typeof_expression (ValaCodeVisitor* base,
                                                 ValaTypeofExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 705 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 705 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 706 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 706 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 707 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3702 "symbolvisitor.c"
	}
#line 708 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 708 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 709 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 3710 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 710 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 710 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 710 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 3719 "symbolvisitor.c"
	}
#line 711 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 3723 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_unary_expression (ValaCodeVisitor* base,
                                                ValaUnaryExpression* expr)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 714 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 714 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (expr != NULL);
#line 715 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 715 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) expr)) {
#line 716 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3743 "symbolvisitor.c"
	}
#line 717 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 717 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) expr);
#line 718 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) expr)) {
#line 3751 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 719 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 719 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 719 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) expr, _tmp2__target);
#line 3760 "symbolvisitor.c"
	}
#line 720 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) expr, (ValaCodeVisitor*) self);
#line 3764 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_unlock_statement (ValaCodeVisitor* base,
                                                ValaUnlockStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 723 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 723 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 724 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 724 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 725 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3784 "symbolvisitor.c"
	}
#line 726 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 726 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 727 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 3792 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 728 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 728 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 728 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 3801 "symbolvisitor.c"
	}
#line 729 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 3805 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_using_directive (ValaCodeVisitor* base,
                                               ValaUsingDirective* ud)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 732 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 732 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (ud != NULL);
#line 733 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 733 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) ud)) {
#line 734 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3825 "symbolvisitor.c"
	}
#line 735 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 735 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) ud);
#line 736 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) ud)) {
#line 3833 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 737 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 737 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 737 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) ud, _tmp2__target);
#line 3842 "symbolvisitor.c"
	}
#line 738 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) ud, (ValaCodeVisitor*) self);
#line 3846 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_yield_statement (ValaCodeVisitor* base,
                                               ValaYieldStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 741 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 741 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 742 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 742 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 743 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3866 "symbolvisitor.c"
	}
#line 744 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 744 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 745 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 3874 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 746 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 746 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 746 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 3883 "symbolvisitor.c"
	}
#line 747 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 3887 "symbolvisitor.c"
}

static void
vls_symbol_visitor_real_visit_with_statement (ValaCodeVisitor* base,
                                              ValaWithStatement* stmt)
{
	VlsSymbolVisitor * self;
	GeeHashSet* _tmp0_;
	GeeHashSet* _tmp1_;
#line 751 "../src/codehelp/symbolvisitor.vala"
	self = (VlsSymbolVisitor*) base;
#line 751 "../src/codehelp/symbolvisitor.vala"
	g_return_if_fail (stmt != NULL);
#line 752 "../src/codehelp/symbolvisitor.vala"
	_tmp0_ = self->priv->seen;
#line 752 "../src/codehelp/symbolvisitor.vala"
	if (gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, (ValaCodeNode*) stmt)) {
#line 753 "../src/codehelp/symbolvisitor.vala"
		return;
#line 3907 "symbolvisitor.c"
	}
#line 754 "../src/codehelp/symbolvisitor.vala"
	_tmp1_ = self->priv->seen;
#line 754 "../src/codehelp/symbolvisitor.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, (ValaCodeNode*) stmt);
#line 755 "../src/codehelp/symbolvisitor.vala"
	if (vls_symbol_visitor_filter (self, (ValaCodeNode*) stmt)) {
#line 3915 "symbolvisitor.c"
		VlsSymbolVisitorFunc _tmp2_;
		gpointer _tmp2__target;
#line 756 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ = self->priv->func;
#line 756 "../src/codehelp/symbolvisitor.vala"
		_tmp2__target = self->priv->func_target;
#line 756 "../src/codehelp/symbolvisitor.vala"
		_tmp2_ ((ValaCodeNode*) stmt, _tmp2__target);
#line 3924 "symbolvisitor.c"
	}
#line 757 "../src/codehelp/symbolvisitor.vala"
	vala_code_node_accept_children ((ValaCodeNode*) stmt, (ValaCodeVisitor*) self);
#line 3928 "symbolvisitor.c"
}

static void
vls_symbol_visitor_class_init (VlsSymbolVisitorClass * klass,
                               gpointer klass_data)
{
#line 28 "../src/codehelp/symbolvisitor.vala"
	vls_symbol_visitor_parent_class = g_type_class_peek_parent (klass);
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->finalize = vls_symbol_visitor_finalize;
#line 28 "../src/codehelp/symbolvisitor.vala"
	g_type_class_adjust_private_offset (klass, &VlsSymbolVisitor_private_offset);
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_source_file = (void (*) (ValaCodeVisitor*, ValaSourceFile*)) vls_symbol_visitor_real_visit_source_file;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_addressof_expression = (void (*) (ValaCodeVisitor*, ValaAddressofExpression*)) vls_symbol_visitor_real_visit_addressof_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_array_creation_expression = (void (*) (ValaCodeVisitor*, ValaArrayCreationExpression*)) vls_symbol_visitor_real_visit_array_creation_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_assignment = (void (*) (ValaCodeVisitor*, ValaAssignment*)) vls_symbol_visitor_real_visit_assignment;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_base_access = (void (*) (ValaCodeVisitor*, ValaBaseAccess*)) vls_symbol_visitor_real_visit_base_access;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_binary_expression = (void (*) (ValaCodeVisitor*, ValaBinaryExpression*)) vls_symbol_visitor_real_visit_binary_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_block = (void (*) (ValaCodeVisitor*, ValaBlock*)) vls_symbol_visitor_real_visit_block;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_boolean_literal = (void (*) (ValaCodeVisitor*, ValaBooleanLiteral*)) vls_symbol_visitor_real_visit_boolean_literal;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_break_statement = (void (*) (ValaCodeVisitor*, ValaBreakStatement*)) vls_symbol_visitor_real_visit_break_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_cast_expression = (void (*) (ValaCodeVisitor*, ValaCastExpression*)) vls_symbol_visitor_real_visit_cast_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_catch_clause = (void (*) (ValaCodeVisitor*, ValaCatchClause*)) vls_symbol_visitor_real_visit_catch_clause;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_character_literal = (void (*) (ValaCodeVisitor*, ValaCharacterLiteral*)) vls_symbol_visitor_real_visit_character_literal;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_class = (void (*) (ValaCodeVisitor*, ValaClass*)) vls_symbol_visitor_real_visit_class;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_conditional_expression = (void (*) (ValaCodeVisitor*, ValaConditionalExpression*)) vls_symbol_visitor_real_visit_conditional_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_constant = (void (*) (ValaCodeVisitor*, ValaConstant*)) vls_symbol_visitor_real_visit_constant;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_constructor = (void (*) (ValaCodeVisitor*, ValaConstructor*)) vls_symbol_visitor_real_visit_constructor;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_continue_statement = (void (*) (ValaCodeVisitor*, ValaContinueStatement*)) vls_symbol_visitor_real_visit_continue_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_creation_method = (void (*) (ValaCodeVisitor*, ValaCreationMethod*)) vls_symbol_visitor_real_visit_creation_method;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_data_type = (void (*) (ValaCodeVisitor*, ValaDataType*)) vls_symbol_visitor_real_visit_data_type;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_declaration_statement = (void (*) (ValaCodeVisitor*, ValaDeclarationStatement*)) vls_symbol_visitor_real_visit_declaration_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_delegate = (void (*) (ValaCodeVisitor*, ValaDelegate*)) vls_symbol_visitor_real_visit_delegate;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_delete_statement = (void (*) (ValaCodeVisitor*, ValaDeleteStatement*)) vls_symbol_visitor_real_visit_delete_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_destructor = (void (*) (ValaCodeVisitor*, ValaDestructor*)) vls_symbol_visitor_real_visit_destructor;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_do_statement = (void (*) (ValaCodeVisitor*, ValaDoStatement*)) vls_symbol_visitor_real_visit_do_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_element_access = (void (*) (ValaCodeVisitor*, ValaElementAccess*)) vls_symbol_visitor_real_visit_element_access;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_empty_statement = (void (*) (ValaCodeVisitor*, ValaEmptyStatement*)) vls_symbol_visitor_real_visit_empty_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_enum = (void (*) (ValaCodeVisitor*, ValaEnum*)) vls_symbol_visitor_real_visit_enum;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_enum_value = (void (*) (ValaCodeVisitor*, ValaEnumValue*)) vls_symbol_visitor_real_visit_enum_value;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_error_code = (void (*) (ValaCodeVisitor*, ValaErrorCode*)) vls_symbol_visitor_real_visit_error_code;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_error_domain = (void (*) (ValaCodeVisitor*, ValaErrorDomain*)) vls_symbol_visitor_real_visit_error_domain;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_expression = (void (*) (ValaCodeVisitor*, ValaExpression*)) vls_symbol_visitor_real_visit_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_expression_statement = (void (*) (ValaCodeVisitor*, ValaExpressionStatement*)) vls_symbol_visitor_real_visit_expression_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_field = (void (*) (ValaCodeVisitor*, ValaField*)) vls_symbol_visitor_real_visit_field;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_for_statement = (void (*) (ValaCodeVisitor*, ValaForStatement*)) vls_symbol_visitor_real_visit_for_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_foreach_statement = (void (*) (ValaCodeVisitor*, ValaForeachStatement*)) vls_symbol_visitor_real_visit_foreach_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_formal_parameter = (void (*) (ValaCodeVisitor*, ValaParameter*)) vls_symbol_visitor_real_visit_formal_parameter;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_if_statement = (void (*) (ValaCodeVisitor*, ValaIfStatement*)) vls_symbol_visitor_real_visit_if_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_initializer_list = (void (*) (ValaCodeVisitor*, ValaInitializerList*)) vls_symbol_visitor_real_visit_initializer_list;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_integer_literal = (void (*) (ValaCodeVisitor*, ValaIntegerLiteral*)) vls_symbol_visitor_real_visit_integer_literal;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_interface = (void (*) (ValaCodeVisitor*, ValaInterface*)) vls_symbol_visitor_real_visit_interface;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_lambda_expression = (void (*) (ValaCodeVisitor*, ValaLambdaExpression*)) vls_symbol_visitor_real_visit_lambda_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_local_variable = (void (*) (ValaCodeVisitor*, ValaLocalVariable*)) vls_symbol_visitor_real_visit_local_variable;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_lock_statement = (void (*) (ValaCodeVisitor*, ValaLockStatement*)) vls_symbol_visitor_real_visit_lock_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_loop_statement = (void (*) (ValaCodeVisitor*, ValaLoopStatement*)) vls_symbol_visitor_real_visit_loop_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_member_access = (void (*) (ValaCodeVisitor*, ValaMemberAccess*)) vls_symbol_visitor_real_visit_member_access;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_method = (void (*) (ValaCodeVisitor*, ValaMethod*)) vls_symbol_visitor_real_visit_method;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_method_call = (void (*) (ValaCodeVisitor*, ValaMethodCall*)) vls_symbol_visitor_real_visit_method_call;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_namespace = (void (*) (ValaCodeVisitor*, ValaNamespace*)) vls_symbol_visitor_real_visit_namespace;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_null_literal = (void (*) (ValaCodeVisitor*, ValaNullLiteral*)) vls_symbol_visitor_real_visit_null_literal;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_object_creation_expression = (void (*) (ValaCodeVisitor*, ValaObjectCreationExpression*)) vls_symbol_visitor_real_visit_object_creation_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_pointer_indirection = (void (*) (ValaCodeVisitor*, ValaPointerIndirection*)) vls_symbol_visitor_real_visit_pointer_indirection;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_postfix_expression = (void (*) (ValaCodeVisitor*, ValaPostfixExpression*)) vls_symbol_visitor_real_visit_postfix_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_property = (void (*) (ValaCodeVisitor*, ValaProperty*)) vls_symbol_visitor_real_visit_property;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_property_accessor = (void (*) (ValaCodeVisitor*, ValaPropertyAccessor*)) vls_symbol_visitor_real_visit_property_accessor;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_real_literal = (void (*) (ValaCodeVisitor*, ValaRealLiteral*)) vls_symbol_visitor_real_visit_real_literal;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_reference_transfer_expression = (void (*) (ValaCodeVisitor*, ValaReferenceTransferExpression*)) vls_symbol_visitor_real_visit_reference_transfer_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_regex_literal = (void (*) (ValaCodeVisitor*, ValaRegexLiteral*)) vls_symbol_visitor_real_visit_regex_literal;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_return_statement = (void (*) (ValaCodeVisitor*, ValaReturnStatement*)) vls_symbol_visitor_real_visit_return_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_signal = (void (*) (ValaCodeVisitor*, ValaSignal*)) vls_symbol_visitor_real_visit_signal;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_sizeof_expression = (void (*) (ValaCodeVisitor*, ValaSizeofExpression*)) vls_symbol_visitor_real_visit_sizeof_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_slice_expression = (void (*) (ValaCodeVisitor*, ValaSliceExpression*)) vls_symbol_visitor_real_visit_slice_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_string_literal = (void (*) (ValaCodeVisitor*, ValaStringLiteral*)) vls_symbol_visitor_real_visit_string_literal;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_struct = (void (*) (ValaCodeVisitor*, ValaStruct*)) vls_symbol_visitor_real_visit_struct;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_switch_label = (void (*) (ValaCodeVisitor*, ValaSwitchLabel*)) vls_symbol_visitor_real_visit_switch_label;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_switch_section = (void (*) (ValaCodeVisitor*, ValaSwitchSection*)) vls_symbol_visitor_real_visit_switch_section;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_switch_statement = (void (*) (ValaCodeVisitor*, ValaSwitchStatement*)) vls_symbol_visitor_real_visit_switch_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_template = (void (*) (ValaCodeVisitor*, ValaTemplate*)) vls_symbol_visitor_real_visit_template;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_throw_statement = (void (*) (ValaCodeVisitor*, ValaThrowStatement*)) vls_symbol_visitor_real_visit_throw_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_try_statement = (void (*) (ValaCodeVisitor*, ValaTryStatement*)) vls_symbol_visitor_real_visit_try_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_type_check = (void (*) (ValaCodeVisitor*, ValaTypeCheck*)) vls_symbol_visitor_real_visit_type_check;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_type_parameter = (void (*) (ValaCodeVisitor*, ValaTypeParameter*)) vls_symbol_visitor_real_visit_type_parameter;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_typeof_expression = (void (*) (ValaCodeVisitor*, ValaTypeofExpression*)) vls_symbol_visitor_real_visit_typeof_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_unary_expression = (void (*) (ValaCodeVisitor*, ValaUnaryExpression*)) vls_symbol_visitor_real_visit_unary_expression;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_unlock_statement = (void (*) (ValaCodeVisitor*, ValaUnlockStatement*)) vls_symbol_visitor_real_visit_unlock_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_using_directive = (void (*) (ValaCodeVisitor*, ValaUsingDirective*)) vls_symbol_visitor_real_visit_using_directive;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_yield_statement = (void (*) (ValaCodeVisitor*, ValaYieldStatement*)) vls_symbol_visitor_real_visit_yield_statement;
#line 28 "../src/codehelp/symbolvisitor.vala"
	((ValaCodeVisitorClass *) klass)->visit_with_statement = (void (*) (ValaCodeVisitor*, ValaWithStatement*)) vls_symbol_visitor_real_visit_with_statement;
#line 4095 "symbolvisitor.c"
}

static void
vls_symbol_visitor_instance_init (VlsSymbolVisitor * self,
                                  gpointer klass)
{
#line 28 "../src/codehelp/symbolvisitor.vala"
	self->priv = vls_symbol_visitor_get_instance_private (self);
#line 4104 "symbolvisitor.c"
}

static void
vls_symbol_visitor_finalize (ValaCodeVisitor * obj)
{
	VlsSymbolVisitor * self;
#line 28 "../src/codehelp/symbolvisitor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, VLS_TYPE_SYMBOL_VISITOR, VlsSymbolVisitor);
#line 31 "../src/codehelp/symbolvisitor.vala"
	_vala_source_file_unref0 (self->priv->file);
#line 32 "../src/codehelp/symbolvisitor.vala"
	_g_object_unref0 (self->priv->seen);
#line 34 "../src/codehelp/symbolvisitor.vala"
	(self->priv->func_target_destroy_notify == NULL) ? NULL : (self->priv->func_target_destroy_notify (self->priv->func_target), NULL);
#line 34 "../src/codehelp/symbolvisitor.vala"
	self->priv->func = NULL;
#line 34 "../src/codehelp/symbolvisitor.vala"
	self->priv->func_target = NULL;
#line 34 "../src/codehelp/symbolvisitor.vala"
	self->priv->func_target_destroy_notify = NULL;
#line 28 "../src/codehelp/symbolvisitor.vala"
	VALA_CODE_VISITOR_CLASS (vls_symbol_visitor_parent_class)->finalize (obj);
#line 4127 "symbolvisitor.c"
}

/**
 * Useful for when we need to iterate over the nodes in a document
 * in a generic fashion, in search of a code node that matches a given
 * symbol in some way, or that we can perform an operation on, given
 * knowledge of a symbol to compare, custom user data, and the code
 * node we are presently exploring.
 */
 G_GNUC_NO_INLINE static GType
vls_symbol_visitor_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (VlsSymbolVisitorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) vls_symbol_visitor_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (VlsSymbolVisitor), 0, (GInstanceInitFunc) vls_symbol_visitor_instance_init, NULL };
	GType vls_symbol_visitor_type_id;
	vls_symbol_visitor_type_id = g_type_register_static (VALA_TYPE_CODE_VISITOR, "VlsSymbolVisitor", &g_define_type_info, 0);
	VlsSymbolVisitor_private_offset = g_type_add_instance_private (vls_symbol_visitor_type_id, sizeof (VlsSymbolVisitorPrivate));
	return vls_symbol_visitor_type_id;
}

GType
vls_symbol_visitor_get_type (void)
{
	static gsize vls_symbol_visitor_type_id__once = 0;
	if (g_once_init_enter (&vls_symbol_visitor_type_id__once)) {
		GType vls_symbol_visitor_type_id;
		vls_symbol_visitor_type_id = vls_symbol_visitor_get_type_once ();
		g_once_init_leave (&vls_symbol_visitor_type_id__once, vls_symbol_visitor_type_id);
	}
	return vls_symbol_visitor_type_id__once;
}

